package com.alibaba.nls;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

/**
 * 问答服务Client
 */
public class QaClient {

    public QaResponse sendRequest(QaRequest request) {
        if(request == null){
            return null;
        }
        String json = JSON.toJSONString(request);
        System.out.println(json);
        String postResult = HttpProxy.sendRequest(Constants.QA_URL, json, Constants.ACCESS_KEY_ID, Constants.ACCESS_KEY_SECRET);
        JSONObject node = JSON.parseObject(postResult);
        if(node.get("status") != null) {
            QaResponse response = new QaResponse();
            response.setSuccess(false);
            response.setError_code(String.valueOf(node.get("status")));
            response.setError_message(String.valueOf(node.get("message")));
            return response;
        } else {
            return JSON.parseObject(postResult, QaResponse.class);
        }
    }

}
